package jvm.debugtool;

/**
 * vm args: -Xmx10m -XX:+UseSerialGC -XX:-UseCompressedOops
 */
public class JHSDBTestCase {

    static class  Test {
        static  ObjectHolder staticObj = new ObjectHolder();

        ObjectHolder instanceObj = new ObjectHolder();

        void foo() {
            ObjectHolder localObj = new ObjectHolder();
            //set break point here
            System.out.println("done");
        }
    }

    private static class ObjectHolder {}

    public static void main(String[] args) {
        Test test = new JHSDBTestCase.Test();
        test.foo();
    }
}
